zipios::DataDescriptor Struct Reference

A struct containing fields for the entries in a zip file data descriptor, that trails the compressed data in files that were created by streaming, ie where the zip compressor cannot seek back to the local header and store the data. More...

`#include <ziphead.h>`

## Public Attributes

uint32 | crc_32
uint32 | compress_size
uint32 | uncompress_size

## Detailed Description

A struct containing fields for the entries in a zip file data descriptor, that trails the compressed data in files that were created by streaming, ie where the zip compressor cannot seek back to the local header and store the data.

Definition at line 93 of file ziphead.h.

## Member Data Documentation

## compress_size

uint32 zipios::DataDescriptor::compress_size

Definition at line 95 of file ziphead.h.

## crc_32

uint32 zipios::DataDescriptor::crc_32

Definition at line 94 of file ziphead.h.

## uncompress_size

uint32 zipios::DataDescriptor::uncompress_size

Definition at line 96 of file ziphead.h.

The documentation for this struct was generated from the following file:

- ziphead.h